Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 185182

Summary: Image thumbnailer memory leak
Product: [Fedora] Fedora Reporter: Eskil Bylund <eskil.bylund>
Component: nautilusAssignee: Alexander Larsson <alexl>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: gtk2-2.8.17-1.fc5.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-04-19 03:25:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 150221    
Attachments:
Description Flags
One image nautilus doesn't like none

Description Eskil Bylund 2006-03-11 10:42:56 UTC
Description of problem:
The image thumbnailer in nautilus will when thumbnailing certain animated gif
files (in my case its recordings made using byzanz), use more and more memory
until the machine goes down.

Version-Release number of selected component (if applicable):
nautilus-2.13.92-2
byzanz-0.1.0-6.fc5

How reproducible:
On the larger files it happens every time.

Steps to Reproduce:
1. Create a recording using byzanz.
2. Open the directory containing the file using nautilus.
  
Actual results:
Nautilus starts using more and more memory.

Expected results:
Nautilus thumbnails the image.

Additional info:

Comment 1 Matthias Clasen 2006-03-11 14:58:18 UTC
Can you attach one of the offending gifs ?

Comment 2 Eskil Bylund 2006-03-11 16:49:13 UTC
Created attachment 125997 [details]
One image nautilus doesn't like

Comment 3 Matthias Clasen 2006-03-14 13:55:29 UTC
The problem here is that the nautilus thumbnnailer uses
gdk_pixbuf_new_from_file(), which does not handle gif animations in 
an optimal way. It first loads the entire animation, and then only
uses the first frame. Of course, it would be much nicer to only
load first frame...

Comment 4 Matthias Clasen 2006-03-14 14:16:45 UTC
Filed upstream as http://bugzilla.gnome.org/show_bug.cgi?id=334538

Comment 5 Matthias Clasen 2006-04-19 03:25:49 UTC
This should be fixed now, with the latest gtk2 package.